package org.wfc.omada.api.account.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * DeleteUserVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T10:44:52.771+08:00[Asia/Shanghai]")

public class DeleteUserVo   {
  @JsonProperty("forceDelete")
  private Boolean forceDelete;

  public DeleteUserVo forceDelete(Boolean forceDelete) {
    this.forceDelete = forceDelete;
    return this;
  }

  /**
   * Force delete target user. If false, target user can not be deleted, when target user has child users. If true, target user will be deleted anyway. Target user's child users will be root's child user.
   * @return forceDelete
  */
  @ApiModelProperty(value = "Force delete target user. If false, target user can not be deleted, when target user has child users. If true, target user will be deleted anyway. Target user's child users will be root's child user.")


  public Boolean getForceDelete() {
    return forceDelete;
  }

  public void setForceDelete(Boolean forceDelete) {
    this.forceDelete = forceDelete;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeleteUserVo deleteUserVo = (DeleteUserVo) o;
    return Objects.equals(this.forceDelete, deleteUserVo.forceDelete);
  }

  @Override
  public int hashCode() {
    return Objects.hash(forceDelete);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeleteUserVo {\n");
    
    sb.append("    forceDelete: ").append(toIndentedString(forceDelete)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

